#include<iostream>
using namespace std;
int main(){
int L, m, n;
cin >> L >> m >> n;
int meter = 0;
int times = 0;
while(L > meter){
    meter += m;
    if(meter > L){
        break;
    }
    m += n;
    times++;
}


cout << times + 1;





return 0;
}
